Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 528284 - fsck fails in boot after preupgrade, filesystem last mount time in the future (F12 rawhide)
Summary: fsck fails in boot after preupgrade, filesystem last mount time in the future...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: 12
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Anaconda Maintenance Team
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-10-10 20:57 UTC by Pasi Karkkainen
Modified: 2010-12-04 07:30 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-12-04 07:30:48 UTC
Type: ---


Attachments (Terms of Use)

Description Pasi Karkkainen 2009-10-10 20:57:23 UTC
Description of problem:
On a fully updated F11 system I ran preupgrade, and upgraded to F12 rawhide successfully.. But during the first boot fsck fails, because the filesystem modification time is in the future. 

Checking filesystems
/dev/mapper/vg_f12test-lv01: Superblock last mount time (Sun Oct 11 01:06:30 2009, now Sat Oct 10 23:11:06 2009) is in the future.

/dev/mapper/vg_f12test-lv01: UNEXPECTED INCONSISTENCY; RUN fsck MANUALLY

"An error occured during file system check."
"Dropping you to a shell; the system will reboot when you leave the shell"

Version-Release number of selected component (if applicable):
Current F12 rawhide (10 Oct 2009)

How reproducible:
Always.

Steps to Reproduce:
1. Install F11. Timezone is set to Europe/Helsinki. System clock NOT set to UTC.
2. Run preupgrade and reboot to go through the actual upgrade to rawhide.
3. During first boot to F12 rawhide fsck fails 
  
Actual results:
fsck fails and boot process is interrupted in the Checking filesystems step. 

Expected results:
First boot works OK without the "last mount time is in the future" error.

Additional info:
I think what happens is anaconda upgrade thinks the hardware time is UTC/GMT and applies the Helsinki offset (+3h) .. that would explain why the last mount time was around 3h in the future after the upgrade.

Comment 1 Thomas Moschny 2009-10-11 23:07:57 UTC
Same problem here (in the Europe/Berlin timezone). Even worse, I wasn't able to login to single mode. Setting a wrong time in the BIOS did the trick.

Comment 2 Pasi Karkkainen 2009-10-12 05:21:28 UTC
It seems when you enter the root password to manually fix the fsck problem, it's enough to "mount -oremount,rw / && mount -oremount,ro /" to fix the root fs. Also I had to "mount /dev/sda1 /mnt && umount /mnt" to fix /boot.

Comment 3 Bug Zapper 2009-11-16 13:29:38 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 4 Martin Gracik 2009-12-02 09:46:43 UTC
Please could you attach /etc/clockadj and /etc/localtime?

Comment 5 Hans de Goede 2009-12-02 09:59:14 UTC
Note: it seems we are not calling the setupTimezone() in the upgrade installation steps (see upgrade.py:setSteps()), that could be the cause. But I know very little about the whole timezone handling stuff inside anaconda.

Comment 6 Radek Vykydal 2009-12-14 17:25:59 UTC
For (pre)upgrade we can't call setupTimezone() (i.e. set system time) before mounting root fs (i.e. before creating timestamps causing the fsck fail) because we need the root mounted to obtain timezone and hardware clock (utc) settings.

I don't like other options that come to my mind very much:
(1) Doing umount/mount during upgrade to fix the timestamp before fsck.
(2) Asking for timezone and hwclock during upgrade.
(3) For preupgrade, we could possibly set the timezone value in kickstart crated by it.

(2)+(3) might be worth considering, but it is 

I wonder if fsck check should be so strict wrt the last mount timestamps, they are automatically fixed during boot mount without fsck.

Comment 7 Radek Vykydal 2009-12-14 17:28:07 UTC
(In reply to comment #6)

> (2)+(3) might be worth considering, but it is 

ignore "but it is" part

Comment 8 David Wilkins 2010-01-15 04:50:44 UTC
I encountered this bug while upgrading from F10 to F12.   While I couldn't fix it with the procedures mentioned here, I simply changed the boot FS from ext2 to ext3 with a rescue disk and everything proceeded normally.

Comment 9 Bug Zapper 2010-11-04 09:32:08 UTC
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 10 Bug Zapper 2010-12-04 07:30:48 UTC
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.